| Home | Libraries | People | FAQ | More

## Struct template inverse<icl::inter_section< Type >>

boost::icl::inverse<icl::inter_section< Type >>

## Synopsis

    // In header: <boost/icl/functors.hpp>

    template<typename Type>
    struct inverse<icl::inter_section< Type >> : public boost::icl::identity_based_inplace_combine< Type > {
      // types
      typedef boost::mpl::if_< has_set_semantics< Type >, icl::inplace_caret< Type >, icl::inplace_minus< Type > >::type type;

      // public member functions
      void operator()(Type &, const Type &) const;
    };

## Description

### `inverse` public member functions

1.     void operator()(Type & object, const Type & operand) const;